Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
ezpContentCriteriaSet Class Reference
Inheritance diagram for ezpContentCriteriaSet:

## Public Member Functions
| offsetSet ( $offset, $value)
| offsetGet ( $offset)
| offsetExists ( $offset)
| offsetUnset ( $offset)
| count ()
| key ()
| current ()
| next ()
| rewind ()
| valid ()

## Private Attributes
| $criteria = array()
| $pointer = 0

## Detailed Description

Definition at line 16 of file criteria_set.php.

## Member Function Documentation

## ◆ count()

ezpContentCriteriaSet::count | ( |  | ) |

Returns the number of registered criteria

Note
  Implements the count() method of the Countable interface

Returns
  int

Definition at line 46 of file criteria_set.php.

## ◆ current()

ezpContentCriteriaSet::current | ( |  | ) |

Definition at line 58 of file criteria_set.php.

References $pointer.

## ◆ key()

ezpContentCriteriaSet::key | ( |  | ) |

Definition at line 53 of file criteria_set.php.

References $pointer.

## ◆ next()

ezpContentCriteriaSet::next | ( |  | ) |

Definition at line 63 of file criteria_set.php.

References $pointer.

## ◆ offsetExists()

ezpContentCriteriaSet::offsetExists | ( |  | $offset | ) |

Definition at line 37 of file criteria_set.php.

## ◆ offsetGet()

ezpContentCriteriaSet::offsetGet | ( |  | $offset | ) |

Array offset getter

Parameters

  mixed | $offset |

Definition at line 35 of file criteria_set.php.

## ◆ offsetSet()

ezpContentCriteriaSet::offsetSet | ( |  | $offset,
|  |  | $value
| ) |  |

Array offset setter Called when a criteria is added. Expects an empty array index syntax.

Parameters

  mixed | $offset |
  eZContentCriteria | $value |

Definition at line 25 of file criteria_set.php.

## ◆ offsetUnset()

ezpContentCriteriaSet::offsetUnset | ( |  | $offset | ) |

Definition at line 39 of file criteria_set.php.

## ◆ rewind()

ezpContentCriteriaSet::rewind | ( |  | ) |

Definition at line 68 of file criteria_set.php.

## ◆ valid()

ezpContentCriteriaSet::valid | ( |  | ) |

Definition at line 73 of file criteria_set.php.

## Member Data Documentation

## ◆ $criteria

ezpContentCriteriaSet::$criteria = array()
| private

Definition at line 78 of file criteria_set.php.

## ◆ $pointer

ezpContentCriteriaSet::$pointer = 0
| private

Definition at line 84 of file criteria_set.php.

Referenced by current(), key(), and next().

The documentation for this class was generated from the following file:

- criteria_set.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.